Core - Task # 56393

Epic # 55070 (Accepted): Workpackages
Epic # 54851 (Accepted): WP: Workspaces IRRE & MM bugfixes
Story # 54853 (Accepted): As a user | want to correctly create, modify, preview and publish IRRE & MM related workspace changes

Status: Resolved Priority: Must have
Author: Peter Niederlag Category:

Created: 2014-02-27 Assigned To:

Updated: 2014-05-05 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity: no-brainer

Sprint Focus:

Subiject: creation on new pages have broken permissions (perms_groupid set wrong)
Description

When a regular (non admin) user creates a page in-a-werkspace the page will not have proper permissions as the owning
group(perms_groupid) is not assigned correctly.

perms_groupid (group ownership) should be based on:

- the first(default) usergroup of the backend user (failing!) OR
- the usergroup that is set in TSconfig (works!)

(Currently perms_userid and perms_groupid are not covered by the functional tests)

Related issues:

related to Core - Task # 54085: Replace all strcmp() calls with === Resolved 2013-11-29
related to Core - Task # 55563: Add functional test cases to DataHandler for ... Resolved 2014-02-01
related to Core - Bug # 58525: First usergroup from BE-user no longer applied... Closed 2014-05-05

Associated revisions

Revision dac46664 - 2014-05-05 23:07 - Markus Klein

[BUGFIX] Group permissions for new pages are not set

This is a regression to #54085 which accidentally converted a !strcmp()
to l==.

Resolves: #56393

Releases: 6.2

Change-Id: leOb2e169916e6b0ea848510e615b05d68be02199
Reviewed-on: https://review.typo3.0rg/29875

Reviewed-by: Nicole Cordes
Tested-by: Nicole Cordes
Reviewed-by: Loek Hilgersom
Tested-by: Loek Hilgersom
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
https://review.typo3.org/29875

#1 - 2014-02-27 18:29 - Peter Niederlag
- Priority changed from Should have to Must have

#2 - 2014-02-27 18:30 - Peter Niederlag
- Subject changed from creating page in workspace does not have proper perms_groupid assigned to Failing to set perms_group when creating page

in workspace

#3 - 2014-02-27 18:31 - Peter Niederlag
- Subject changed from Failing to set perms_group when creating page in workspace to Failing to set perms_groupid when creating page in workspace

#4 - 2014-03-21 09:38 - Peter Niederlag
- Subject changed from Failing to set perms_groupid when creating page in workspace to create pages in workspace have broken permissions

(perms_groupid set wrong)

#5 - 2014-03-21 20:22 - Oliver Hader
- Parent task set to #54853

#6 - 2014-05-05 13:41 - Peter Niederlag
- Subject changed from create pages in workspace have broken permissions (perms_groupid set wrong) to creation on new pages have broken
permissions (perms_groupid set wrong)

#7 - 2014-05-05 17:52 - Markus Klein

As reported in #58525, #54085 seems to be the culprit.

#8 - 2014-05-05 18:03 - Markus Klein

Found it, will push a patch

#9 - 2014-05-05 18:07 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/29875

#10 - 2014-05-05 18:07 - Markus Klein
- Complexity set to no-brainer
- Is Regression changed from No to Yes

#11 - 2014-05-05 23:30 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:dac46664ad4720368b4d758fc2f775990776ec69.
